KDE 4.9 PyKDE API Reference

- KDE's Python API

# SvgWidget Class Reference

`from PyKDE4.plasma import *`

Inherits: QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

## Signals

| clicked (Qt::MouseButton a0)

## Methods

| __init__ (self, QGraphicsItem parent=0, Qt::WindowFlags wFlags=0)
| __init__ (self, Plasma.Svg svg, QString elementID=QString(), QGraphicsItem parent=0, Qt::WindowFlags wFlags=0)
QString | elementID (self)
| mousePressEvent (self, QGraphicsSceneMouseEvent event)
| mouseReleaseEvent (self, QGraphicsSceneMouseEvent event)
| paint (self, QPainter painter, QStyleOptionGraphicsItem option, QWidget widget)
| setElementID (self, QString elementID)
| setSvg (self, Plasma.Svg svg)
QSizeF | sizeHint (self, Qt::SizeHint which, QSizeF constraint)
Plasma.Svg | svg (self)

## Signal Documentation

clicked | ( | Qt::MouseButton | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("clicked(Qt::MouseButton)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QGraphicsItem | parent=0,
|  | Qt::WindowFlags | wFlags=0
| ) |  |  |

__init__ | ( | self, |
|  | Plasma.Svg | svg,
|  | QString | elementID=QString(),
|  | QGraphicsItem | parent=0,
|  | Qt::WindowFlags | wFlags=0
| ) |  |  |

QString elementID | ( |  | self ) |

mousePressEvent | ( | self, |
|  | QGraphicsSceneMouseEvent | event
| ) |  |  |

mouseReleaseEvent | ( | self, |
|  | QGraphicsSceneMouseEvent | event
| ) |  |  |

paint | ( | self, |
|  | QPainter | painter,
|  | QStyleOptionGraphicsItem | option,
|  | QWidget | widget
| ) |  |  |

setElementID | ( | self, |
|  | QString | elementID
| ) |  |  |

setSvg | ( | self, |
|  | Plasma.Svg | svg
| ) |  |  |

QSizeF sizeHint | ( | self, |
|  | Qt::SizeHint | which,
|  | QSizeF | constraint
| ) |  |  |

Plasma.Svg svg | ( |  | self ) |